Subject: [rrg] [ILNP] Option type for Nonce v6

From: Stephane Bortzmeyer <[email-masked]>
Date: Sun, 8 Jul 2012 15:58:05 +0200

I have a small doubt when rereading draft-irtf-rrg-ilnp-noncev6-05. It
says "if an end system receives an IPv6 packet containing this option
[Nonce Destination Option], but does not recognise this option, the
end system MUST discard the packet and [...] send an ICMPv6 Parameter
Problem". But a legacy system won't of course follow the new RFC.

The normal mechanism to have this behaviour, with legacy IPv6 systems,
is to encode it in the option type (RFC 2460, sections 4.2 and
4.5). But draft-irtf-rrg-ilnp-noncev6-05 does not seem to mention it
and just says "IANA is requested to assign a new IPv6 Destination
Option Type value". Shouldn't it be modified to say "IANA is requested
to assign a new IPv6 Destination Option Type value starting with 10"?

[This is important because nice coexistence between ILNP-enabled
systems and legacy ones depend on receiving an explicit notification
that the responder does not support ILNP.]